Subject: Re: bcm5754 support
To: Havard Eidnes <>
From: Sarton O'Brien <>
List: current-users
Date: 12/28/2006 15:54:02
On Sunday 24 December 2006 06:19, you wrote:
> The attached is a minimal patch to sys/dev/pci/if_bge.c in 4.0, which
> I've not tried to compile...  It more or less mirrors the
> corresponding change in FreeBSD, but as I said earlier, there's a bit
> of divergence between the FreeBSD and NetBSD drivers, so I don't know
> if this depends on some earlier change in FreeBSD's driver.
> It's worth a shot, though.  I'd appreciate to see the relevant part of
> your dmesg whatever the result.

I've applied the patch to the latest sources:

spike# patch < /usr/src/if_bge.diff
Hmm...  Looks like a new-style context diff to me...
The text leading up to this was:
|*** if_bge.c.~1.122.~  Wed Dec 20 21:04:08 2006
|--- if_bge.c   Sat Dec 23 00:34:17 2006
Patching file if_bge.c using Plan A...
Hunk #1 succeeded at 277.
Hunk #2 succeeded at 2032.
Hunk #3 succeeded at 2200.
Hunk #4 succeeded at 2233.

I've been waiting for a buildable CURRENT so if it finally completes 
successfully, I'll give it a go.

Unfortunately I do not have a live system to test on with this chipset just 
yet so if current doesn't build, I'll install NetBSD and replace the driver.

I'll provide the dmesg as soon as I have it.

Thanks again for your help.